License Agreement

This document is a legally binding agreement between you and GetData Pty Ltd ABN 79 100 297 149 ("GetData"), the developer of the software program "Recover My Files" ("Software"). Permission to use the Software and any documentation included with the Software ("Documentation") is conditional upon you agreeing to the terms set out below. By installing or otherwise using the Software you agree to be bound by the terms of this agreement. If you do not wish to accept the terms, do not install or use the Software and (if using a CD-ROM) return the Software and Documentation to GetData in its original packaging within 14 days of receiving the Software.

In consideration of the payment by you of the applicable fees, GetData grants to you, and you accept, a non exclusive non-transferable license to use the Software and Documentation . GetData is and remains the exclusive owner of the Software and the Documentation. You acknowledge that copyright in the Software and Documentation remains at all times with GetData. Unauthorized copying or modification of the Software and/or Documentation will entitle GetData to immediately terminate this Agreement. GetData shall have the right to check license details at any time in any reasonable manner.

You may freely distribute the unregistered "trial" version of the Software.

The "Standard license" permits you to use one copy of the Software on a single computer or, in the event that you have purchased multiple licenses, to install the Software concurrently on multiple computers equivalent to the number of licenses that you have purchased. The standard license does not allow you to use the Software to perform commercial data recovery services for other parties.

The "Commercial license" permits you to use one copy of the Software on a single computer or, in the event that you have purchased multiple licenses, to install the Software concurrently on multiple computers equivalent to the number of licenses that you have purchased. The commercial license permits you to use the Software to perform commercial data recovery services for other parties.

A "Site license" will be negotiated directly with an individual or company separate to this agreement .

You are not permitted to share the registration key information provided to you for this Software with other users.

Unless you have purchased multiple licenses, this license does not permit you to load or use the Software on a network server or similar device which permits access by multiple computers

GetData may from time to time revise or update the Software and shall make such revisions or updates available subject to payment of the applicable license fee. Support for the Software is provided via the contact email address support@recovermyfiles.com.

The Software and Documentation is protected under United States law and international law and international conventions and treaties. You may not rent, lease, sub license, assign or otherwise transfer use of the Software to others without the express written permission of GetData. Doing so will entitle GetData to immediately terminate this Agreement .

Except to the extent applicable law specifically prohibits such restrictions, you may not reverse engineer, reverse compile, disassemble or otherwise modify the Software in any way .

You are solely responsible for protecting yourself, your data, your systems and your hardware used in connection with the Software. GetData will not be liable for any damages suffered from the use of the Software.

BY USING THIS SOFTWARE, YOU EXPRESSLY AGREE THAT ALL RISKS ASSOCIATED WITH THE PERFORMANCE AND QUALITY OF THE SOFTWARE IS ASSUMED SOLELY BY YOU. YOU ACKNOWLEDGE AND AGREE THAT YOU HAVE EXERCISED YOUR INDEPENDENT JUDGEMENT IN ACQUIRING THE SOFTWARE.

TO THE EXTENT PERMITTED BY LAW, GETDATA SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF GETDATA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE IS MADE AVAILABLE BY GETDATA "AS IS" AND "WITH ALL FAULTS". TO THE EXTENT PERMITTED BY LAW, GETDATA DOES NOT MAKE ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, CONCERNING THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT OR THAT THE SOFTWARE IS ERROR FREE .

IF ANY CONDITION OR WARRANTY IS IMPLIED INTO THIS AGREEMENT UNDER ANY APPLICABLE LEGISLATION CANNOT BE EXCLUDED, OR IF NOTWITHSTANDING THE EXCLUSION OF LIABILITY ABOVE GETDATA IS OTHERWISE LIABLE TO YOU, THEN TO THE EXTENT PERMITTED BY LAW THE LIABILITY OF GETDATA FOR BREACH OF THE CONDITION OR WARRANTY WILL BE LIMITED TO ONE OR MORE OF THE FOLLOWING AS DETERMINED BY GETDATA IN ITS ABSOLUTE DISCRETION:

(i) IN THE CASE OF GOODS, (A) THE REPLACEMENT OR SUPPLY OF EQUIVALENT GOODS OR THE REPAIR OF THE GOODS; OR (B) THE PAYMENT OF THE COST OF REPLACING THE GOODS, ACQUIRING EQUIVALENT GOODS, OR HAVING THE GOODS REPAIRED; AND
(ii) IN THE CASE OF SERVICES, THE SUPPLYING OF THE SERVICES AGAIN OR THE PAYMENT OF THE COST OF HAVING THE SERVICES SUPPLIED AGAIN.

This agreement cannot be changed or altered except by a written document signed by you and GetData. This agreement is governed by the laws in force in New South Wales, Australia. Each party irrevocably and unconditionally submits to the non-exclusive jurisdiction of the courts of New South Wales, Australia.

© Copyright GetData 2004


Disclaimer

The software available for downloading through Internet sites and published by GetData (the "Software") is provided pursuant to this license agreement. GetData encourages you to know the possible risks involved in the download and use of the Software from the Internet. You are solely responsible for protecting yourself, your data, your systems and your hardware used in connection with this software. GetData will not be liable for any damages suffered from the use of the Software.

BY USING THIS SOFTWARE, YOU EXPRESSLY AGREE THAT ALL RISKS ASSOCIATED WITH THE PERFORMANCE AND QUALITY OF THE SOFTWARE IS ASSUMED SOLELY BY YOU. GETDATA SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF GETDATA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE IS MADE AVAILABLE BY GETDATA "AS IS" AND "WITH ALL FAULTS". GETDATA DOES NOT MAKE ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, CONCERNING THE QUALITY, SAFETY OR SUITABILITY OF THE SOFTWARE, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. FURTHER, GETDATA MAKES NO REPRESENTATIONS OR WARRANTIES AS TO THE TRUTH, ACCURACY OR COMPLETENESS OF ANY INFORMATION, STATEMENTS OR MATERIALS CONCERNING THE SOFTWARE THAT IS CONTAINED IN GETDATA'S SOFTWARE DOWNLOAD SITE. IN NO EVENT WILL GETDATA BE LIABLE FOR ANY INDIRECT, PUNITIVE, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES HOWEVER THEY MAY ARISE AND EVEN IF GETDATA HAS BEEN PREVIOUSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Where do I install Recover My Files?

If you are trying to recover deleted files, you should, if possible, avoid installing Recover My Files on the drive on which the files were lost. Even though Recover My Files is a small program, writing data to the hard drive by installing the software has the potential to overwrite and permanently destroy deleted data that you may want to recover.

Running Recover My Files from your CD

If you are attempting to recover files and Recover My Files is not installed on your computer, the best option is to run the program directly from CD. This is done by placing the CD into your CD drive. The following screen should automatically appear (if it does not, navigate to the CD drive and double click "AutoRun.exe"). Then click on the "Run From CD":

Once your recovery is complete and you have no further concerns about potential loss of deleted data by installing new software, we recommend that you install Recover My Files on your computer. Do this by clicking on "Install" on the above menu and follow the on-screen installation instructions.


Installing Recover My Files

Recover My Files V3.1 (R)

How do I Install Recover My Files

Minimum Installation Requirements

Recover My Files has the following minimum installation requirements:

  • Windows 95, 98, ME, NT, 2000, XP, 2003

  • 3 megabytes of disk space

  • 64 megabytes of RAM (128 or more megabytes recommended)

  • Files can only be saved to an alternate physical drive or directly to a CD or DVD, and cannot be saved onto the same drive from where they are recovered . This can be another partition on your existing hard drive, another hard drive, Iomega Zip®, Jazz® , Orb, USB 'Pen Drive', LS-120, floppy disk, network drive, server volume, writeable CD or DVD etc.

Please read " Where to run Recover My Files" before installing Recover My Files.

Internet Download - Installation

Recover My Files can be downloaded from the Internet at www.RecoverMyFiles.com. The installation file downloaded from the Internet is called "RecoverMyFiles-Setup.exe". Run this program and follow the installation wizard.

Installing from CD

Insert the Recover My Files CD into you computer, select the option to install Recover My Files and follow the on screen instructions.

Running Recover My Files Directly From CD

Recover My Files can be run directly from CD. If you have purchased the retail version, then the option exists on the CD menu.

Program Activation

The program activation key needs to be entered into the program to activate the ability to save recovered files. To learn how to activate Recover My Files, click here.

To Upgrade to the latest Version of Recover My Files

If you are upgrading to the latest version of Recover My Files there is no need to un-install previous versions. Please connect to the Internet and click on the "Update" button on the main program screen.

Un-Install

To un-install the Recover My Files, go to the Windows Control Panel and select "Add/Remove Programs". Follow the on-screen instructions.


How to Register Recover My Files

How to Activate Recover My Files in Order to be Able to Save Files

It is necessary to enter your product activation details in order to activate the "Save Files" feature. If you purchased Recover My Files in a retail box the product activation key has been provided inside the retail box with the product documentation.

If you do not have a product activation key it can be purchased on-line at www.RecoverMyFiles.com using a secure server. Your product activation key displayed on a web page at the end of the purchase process and is also be sent by electronic mail. If there is a delay in your credit card provider authorizing the transaction, your registration key will be provided only by email and only after credit card authorization takes place. More questions about the order process? Visit our Customer Care Center or contact us at support@recovermyfiles.com.

Accessing the Product Activation Screen

The Recover My Files product activation screen is accessed by clicking on "Help" in the top most menu, then "Activate Product";

, or by clicking the "Save Files" button. The following screen is presented:

Enter your product activation details exactly as provided. Use cut and paste, if possible, to avoid keying errors. Recover My Files will now be activated and you will be able to save your recovered files.


Ive lost my registration key / I need an updated key

Troubleshooting Product Activation Problems

I entered my product activation key but it says the "details you have entered are invalid"?

Please ensure that you have accurately copied the activation key into the product activation screen.

If you continue to have product activation problems, please contact support@recovermyfiles.com. Please specify in your email that you are using a Retail version.


Introducing Recover My Files

Recover My Files is a data recovery program that will recover:

  • Files and Folders emptied from the Recycle Bin.

  • Files and Folders deleted using DOS commands (via the command line).

  • Drives that have been accidentally re-formatted - even after a new operating system has been installed.

  • Digital camera storage cards which have been formatted or from which photos have been deleted.

  • Temporary backup files created by applications like Word, Excel and PowerPoint.

Recover My Files can recover data from various types of file storage media including; Hard Drives; Floppy disks; Zip Disks; Digital camera cards; USB Drives; or any other storage device where the Drive Letter [e.g. C; D; E; etc] can be seen or the physical drive recognized.

It has a built in file preview which allows you to examine the contents of may types of deleted files prior to saving (see the table below).

Recover My Files will find both "Deleted Files" and "Lost Files". The Lost Files search supports more than 50 file types, including:

Documents
 | 3d Studio Max | .max | -
 | Adobe PDF | .pdf |
 | Adobe Pagemaker | .pmd | -
 | Avery DesignPro | .zdp | -
 | Casio Disk Title | .ctw | -
 | Corel Presentation | .cdr |
 | Family Search File | .paf | -
 | Family Tree Maker | .fft | -
 | Generic Text | .txt |
 | Help files | .hlp | -
 | HTML Documents | .html |
 | Ichitaro Document | .jtd |
 | Lotus 123 | .wk1 |
 | Lotus Word Pro | .lwp | -
 | Mapsource file | .mps | -
 | MS Excel | .xls |
 | MS One Note | .one | -
 | MS PowerPoint | .ppt | -
 | MS Project | .mpp | -
 | MS Publisher | .pub | -
 | MS Visio | .vsd |
 | MS Word | .doc |
 | MS Works 4 Dbase | .wdb | -
 | MS Works Doc | .wps |
 | MS Works SSheet | .wks | -
 | MS Write/Wordpad | .wri |
 | Quattro Pro V7 & up | .qpw | -
 | Rich Text | .rtf |
 | SureThing CD Label | .dsn |
 | Word Perf 6 & 7 | .wpd | -
 | Word Perfect comp. | .wpd | -
 | XML Documents | .xml | -

Graphics
 | Adobe Photoshop | .psd |
 | Autocad | .dwg |
 | Autocad DX file | .dxf |
 | Bitmap | .bmp |
 | Canon Raw | - |
 | Corel Draw | - |
 | Enc. Postscript | .eps |
 | Enh. Metafile | .emf |
 | Font File | .fon | -
 | GIF | .gif |
 | GIS shaped | .shp/x | -
 | GUE Map File | .gmp | -
 | JPEG | .jpg |
 | JPEG Camera | .jpeg |
 | Lightwave | .lws | -
 | PaintshopPro | .psp |
 | Paperport | .max | -
 | Photodraw | .mix | -
 | PNG | .png |
 | Portable Graphics | .ppm |
 | Postscript | .eps | -
 | Quark Express | .qxd | -
 | ShockWave Flash | .swf | -
 | Smartdraw | .sdr |
 | TIFF Graphic | .tiff |
 | True Type Font | .tty | -
 | Win. Meta | .wmf |
 | XARA Graphic | .xar |

Multimedia & Games
 | ASF | .asf | -
 | Audio Int. | .aif, aiff | -
 | AVI | .avi | -
 | AIFF Audio | .aif | -
 | CakeWalk Pro | .cwp | -
 | Finale Music | .mus | -
 | Fruity Loops | .flp | -
 | Jet Voice File | .sc4 | -
 | Logic Audio | .lso | -
 | MP3 | .mp3 | -
 | MPEG | .mpg | -
 | Midi | .mid |
 | Quicktime Movie | .mov | -
 | Real Audio | .ram | -
 | Sibelius | .sib | -
 | Wave | .wav |
 | WMA | .wma | -
 | WMV | .wmv | -
 | Diablo2 Save | .d2s | -
 | Final Fantasy 7 | .ff7 | -
Archive
 | Cabinet | .cab
 | GZIP | .gzip
 | LZH | .lzh
 | RAR | .rar
 | TAR | .tar
 | WinZip | .zip

Email & Internet
 | Generic email | .n/a |
 | Internet Favorites | .url | -
 | Outlook address book | .wab | -
 | Outlook | .pst | -
 | Outlook | .msg | -
 | Outlook Express | .dbx |
Database & Financial
 | Access | .mdb | -
 | Access Project | .adp | -
 | CanTax T1 Per. | .pYY | -
 | CanTax T2 Corp. | .cYY | -
 | DBase | .dbf |
 | FoxPro Exe. | .fxp | -
 | Lacerte Tax | .mdx | -
 | MS Money | .mny | -
 | MS-SQL | .mdf | -
 | MS-SQL Log | .ldf | -
 | MYOB | .prrn | -
 | Omnis | .df1, .lbr | -
 | Quickbooks | .qbw | -
 | Quicken | .qdf | -
 | SAS Data File | .sas7bdat | -
 | SPSS | .sav | -
 | TaxCut 2000-3 | .t01,2,3 | -
 | Turbo Tax | .tax | -

Key

red-tick.gif (569 Bytes) = recovered file can be previewed

= names of the internal files are displayed

= plays sound


A Quick Start Guide to Using Recover My Files

Following is a Quick Start Guide to using Recover My Files. For more detailed information see the section in this help file titles "The Steps to File Recovery".

Run the Program from CD or Install Recover My Files

Recover My Files can be run directly from CD. Insert the CD into your computer and click the "Run From CD" option in the program start-up window.

If you are installing Recover My Files, avoid installing Recover My Files on a drive from which you are trying to recover deleted files (use the run from CD option first). Form more information on installing Recover My Files, click here.

Step 1 - Select the Type of Search

When you run Recover My Files a wizard screen will open and present you with three search options; 'Fast Search', 'Complete Search'; or 'Format Recover'. We suggest you try a "Fast Search" first, as this search may well find your files within 20 minutes. If you do not locate your files with a Fast Search, then try a "Complete Search" or if you have formatted your hard drive, select the 'Format Recover' option and follow these instructions. Click next to proceed to the next wizard screen.

Wizard Screen 1 - Selecting the type of search

Step 2 - Select the Drive To Search

The next wizard screen performs a scan to identify the devices (hard drives, digital camera, USB drive etc) that are connected to your computer. Select the device you wish to search by using your mouse to place a green tick in the box next to the device name.

Wizard Screen 2 - Selecting the device to search

If your drive is corrupt, you may not be able to see the "logical" drive letter (eg. Drive "D:\"). You can go to the main program screen, click OPTIONS, and place a tick in the box for "Allow searching of Physical Drives". When you return to the screen above, it will now show you the "Physical Drives" connected to your computer (NB: Drive C: is usually located on Physical Drive 0).

The "Folders to Search" option allows you to add existing folders into your search. Doing this will allow you to search the 'active' files on you disk (i.e. those that are not deleted). You may wish to do this in order to search for temporary files created by programs such as Microsoft Word. To remove a folder from this list, double click on it.

Step 3 - Selecting File Types to Search

The next wizard screen asks you to select the "File Types" that you are trying to recover. Select a file type by using your mouse to place a green tick in the box next to it.

WARNING: The number of file types selected will directly impact the speed of the search. We suggest you select between 1 and 10 files. MP3 and Text files are the slowest. Conduct a separate search for these files.

In the results screen files found will be sorted by file type selections that you have made here. All other files types located will be shown in the results screen as in the "other deleted files" folder.

Wizard Screen 3 - Selecting the Specific File Types for which to Search

Step 4 - Running the Search

When the 'start' button is pressed the search is commenced. Note that a "Complete Search" and a "Format Recover" may take a number of hours as they are a scan of your entire storage media.

It is possible to preview the search results whilst the search is in progress. Move the progress box out of the way and access the search results screen behind it.

Running the Search

Step 5 - The Results Screen

The results screen consists of four windows.

  1. File Type and Folder View window (top left): This window shows you the number of deleted files that have been found (e.g. 16 JPEG Digital Camera photos have been found in the screen shot below). Files located are grouped by the File Types you selected in Step 4 above. You can also change to "Folder View" and see in a folder structure the files that have been found. Any file types not specifically selected in Step 4 above are placed in the "other deleted files" folder.

  2. File Details Window (top right): When a File Type is select in the left hand windows, the files found (in the case of the screen capture, the 16 JPEG Digital Camera files) are displayed in the File Details window. Sort the files in this window by double clicking on the column headings. When a file is selected in this window, by clicking on the file name, its properties and contents are displayed in the windows below.

  3. File Properties Windows (bottom left): This window displays the properties, e.g. "Olympus Digital Camera" of the file that has been selected in the File Details window above.

  4. Preview Window (bottom right): If a preview is available, the contents of the file are displayed Files found are grouped by file type in the left hand column (any files that are found that do not belong to a file type that you selected are placed in the "Other Deleted Files" folder). Click on the file type in the left and column to display the files found for that type in the right hand column. Click on an individual file in the right hand column to see its properties and a preview of its contents (if available) in the bottom windows.

The Results Screen

Step 6 - Saving Recovered Files

You must enter the program activation key in order to save files. The program activation key is provided in the software box with the other documentation. To enter the registration key click 'Help' (in the top most menu) and then 'Activate Product'.

Select files to be saved in the results screen (either File Type or Folder View) by placing a tick next to the file. Groups of files can be selected by clicking on the File Type (it will place a tick in the box for all the files found of that type). Also it is possible to select place multiple ticks in file boxes by using a combination of mouse clicks whilst holding down the SHIFT or CTRL key, and then pressing SPACE BAR.

To save selected files click the save button. You must save files to a separate storage media to the one on which file are being recovered, such as another hard drive or a writeable CD or DVD. Click on the drop down arrow next to the "Save Files" button, or select "Recover" then "Save to CD/DVD" to save to CD or DVD.


Step 1 - Select the Type of Search to Perform

Detailed Steps to File Recovery

Step 1 - Select the Type of Search

When you run Recover My Files a wizard screen will open and present you with three search options; 'Fast Search', 'Complete Search'; or 'Format Recover'. The following table describes the type of files that will be located and the expected duration of the search:

Search Type

Will Find

Anticipated Duration of Search

Fast Search

"Deleted Files"

"Deleted Files" retain there original file name and folder structure (click on "Folder View" in the results window to see folder structure).

"Deleted Files" show a recovery rating of Overwritten, Poor, Medium, Good, and Very Good. Read more about the recovery rating system here.

Approximately 20 minutes

Complete Search (includes a Fast Search)

"Deleted Files" & "Lost Files"

"Lost Files" are those files for which the Microsoft Windows reference information has been destroyed. Recover My Files finds these files by doing a search of the entire hard drive and identifying files by their internal file structure (i.e. header, content and footer). As original file name is destroyed Recover My Files calls these files "Recovered_[file type]_x".

1-5 hours (depending on the number of file types selected)

We recommend that you select between 1 and 10 files. MP3 files will slow the search down considerably and should be searched separately.

Format Recover (follow these instructions)

Reconstructs Partitions (e.g.. "C:\ drive") after a format and finds all available files in the lost partition.

1-5 hours (follow these instructions)

We suggest you try a "Fast Search" first, as this search may well find your files within 20 minutes. If you do not locate your files with a Fast Search, then try a "Complete Search" or if you have formatted your hard drive, select the 'Format Recover' option (follow these instructions). Click next to proceed to the next wizard screen.

Wizard Screen 1 - Selecting the type of search

The "Manually Set Options " button allows you full access to the advanced Options configuration menu. You can read more about the advanced Options settings here.


Step 2 - Select the Drives and Folders to Search

Detailed Steps to File Recovery

Step 2 - Select the Drive To Search

The next wizard screen performs a scan to identify the devices (hard drives, digital camera, USB drive etc) that are connected to your computer. Select the device/s you wish to search by using your mouse to place a green tick in the box next to the device name.

Wizard Screen 2 - Selecting the device to search

The "Add a Folder to Search" option allows you to add existing folders into your search. Doing this will allow you to search the 'active' files on you disk (i.e. those that are not deleted). You may wish to do this in order to search for temporary files created by programs such as Microsoft Word. There are two default folders included for selection. One is the "Recycle Bin", which is included to verify whether any files still are in the Recycle Bin but have not yet been emptied. The other the "Documents and Settings" folder, which is often used by programs such as Microsoft Word to store temporary copies of your files.

Use the "Double click here to ADD a FOLDER to the Search..." button to add additional folders to search.

To remove folders from the search, click on the tick to de-select, it or double-click the folder name to completely remove it from the Select Drives and Folders window.

To proceed press the Next button. This button will only be available if a listed disk drive or folder is selected.


Troubleshooting - Step 2 - Drive Selection

Troubleshooting Drive Selection

Problem:

The drive I wish to search is not listed.

Suggestion:

Try the following:

  1. Check connections

    Ensure the drive you are wanting to search is properly connected to your computer. Check all cables etc. Is the drive showing in Windows Explorer?

  2. Are you trying to recover from a Format?

    When you delete a partition from your computer the drive letter is lost. When you select "Format Recover" you should see an option to search "Physical Drive x". Select the physical drive which corresponds in size to your original partition. For example if you had an original single partition "C:\" on a 55 gigabyte drive, select the physical drive that is closest in size to 55 gigabytes.

  3. Is the file system damaged?

    It is possible that your file system is damaged to the extent where you can no longer see your original drive letter. Click on "Manually select options" or the "Options" button, then the "Advanced" tab and place a tick in the box for "allow searching of physical drives. You should then option to search the physical drive.

  4. Are you connecting directly to a digital camera?

    Some digital cameras have a proprietary connection to your computer which Recover My Files cannot recognize as a hard drive. In this case you will need to use a digital camera card reader, an inexpensive device into which you digital camera memory is inserted and then connected to your PC (usually via a USB connection).


Detailed Steps to File Recovery

Step 3 - Select the File Types to Recover

The third step in the recovery process is to select the types of file that you wish to recover. A File Type is selected by clicking and placing a tick in the checkbox next to its name. Use the "+" drop down menu indicator to show all File Types.

WARNING: The number of file types selected will directly impact the speed of the search. We suggest you select between 1 and 10 file types for any given search. MP3 and Text will slow the search down the most. Do a separate search for these file types.

In the results screen files found will be sorted by file type selections that you have made here. All other files types located will be shown in the results screen in the "other deleted files" folder. A preview (if available for a specific file type) will be shown in the results window for only the file types you have specifically selected, but not for file located in the "other deleted files" folder.

Wizard Screen - Selecting Individual File Types for which to Search.

To proceed, press the "Start" button. This button will only be available if at least one File Type is selected for the search.

NOTE: You can add and remove selected File Types during the search process by using the "Options" button. If this is done, Recover My Files applies the new search criteria to the remainder of the search.


Troubleshooting - Step 3 - File Type Selection

Troubleshooting File Type Selection

Problem:

The file that I want to find is not listed in the File Type selection list.

Suggestion:

The first thing you should try is a "Fast Search" and look in the "Other deleted files" folder of the results screen. A "Fast Search" will find any type of "Deleted File".

If a fast search does not locate the files that you are seeking it may be possible to add the file type to the "Lost File" search. You will need to provide us by email:

  1. 3 sample files of different size and content;

  2. Information about the program that was used to create these files, including full name and version number;

  3. Any further information known about this file type, such as the author and relevant web site.

Once we receive the sample files we will view their internal file structure to determine if it is possible to add specific support for the file type, and if so, how long it will take to be included in Recover My Files.


Detailed Steps to File Recovery

Step 4 - Running the Search

Once the search is started the progress bar will display the number of files found, the elapsed time and proportion of search remaining.

You can stop the search anytime by pressing the Stop button. If stopped before search completion, Recover My Files will show files found up until the point at which the search was stopped.

Note that It is possible to preview recovered files as the search is in progress. Move the progress bar window to get access to the results window. See Step 5 - Previewing the results for further information.

It is possible to stop the search, save files, and start the search again from the place at which it was stopped. To do this, you must take note of the cluster number that the search is up to. In the screen capture below it is cluster 6792171. Stop the search, and save the files that have been recovered. In the results screen click on OPTIONS / ADVANCED and then place a tick in the box next to the option to "prompt for start cluster / sector". When you restart the search you will be prompted to enter in the starting position of the search. Enter the cluster number you recorded and continue the search.


Troubleshooting - Step 4 - Running The Search

Troubleshooting Running the Search

Problem:

Recover My Files generates an error during the search process.

Suggestion:

It is possible that a corrupt file or a physical error on your hard drive may cause Recover My Files to stall. We suggest:

  1. Try changing the files types that you are searching for as it is possible that a specific file type is causing the problem;

  2. Note the cluster number (above the search bar) and stop the search prior to it reaching the problem area. Save relevant files located. Select Options / Advanced, and place a tick in the box to "Prompt for start cluster number". Restart the search after the problem cluster.

Problem:

The search is very slow.

Suggestion:

Reduce the number of file types that you are searching for. We suggest between 1 and 10 file types. Text files and MP3 files will slow the search down considerably. Conduct a separate search for these file types.

If you are running a "Format Recover", please follow these instructions.


Step 5 - Previewing and saving recovered files

Detailed Steps to File Recovery

Step 5 - The Results Screen

The results screen consists of four windows.

  1. File Type and Folder View window (top left): This window shows you the number of deleted files that have been found (e.g.. 16 JPEG Digital Camera photos have been found in the screen shot below). Files located are grouped by the File Types you selected in Step 4 above. You can also change to "Folder View" and see in a folder structure the files that have been found. Any file types not specifically selected in Step 4 above are placed in the "other deleted files" folder.

  2. File Details Window (top right): When a File Type is select in the left hand windows, the files found (in the case of the screen capture, the 16 JPEG Digital Camera files) are displayed in the File Details window. Sort the files in this window by double clicking on the column headings. When a file is selected in this window, by clicking on the file name, its properties and contents are displayed in the windows below.

    To list all files found in the File Details Window, go back to the File Type window at left and click on "Search Results". All files will then be displayed and can be sorted by clicking on the column headings. The fastest way to preview files in this list is to use the arrow keys to scroll down the file listing.

  3. File Properties Windows (bottom left): This window displays the properties, e.g. "Olympus Digital Camera" of the file that has been selected in the File Details window above.

  4. Preview Window (bottom right): If a preview is available, the contents of the file are displayed Files found are grouped by file type in the left hand column (any files that are found that do not belong to a file type that you selected are placed in the "Other Deleted Files" folder). Click on the file type in the left and column to display the files found for that type in the right hand column. Click on an individual file in the right hand column to see its properties and a preview of its contents (if available) in the bottom windows.

Filtering Search Results

The filter option is accessed by pressing the "Filter" button on the main program screen. A filter of the search results can be conducted either whilst the search is in progress, or at the completion of the search. The status of the filter, either "Filter On" or "Filter Off" is displayed in the bottom left hand corner of the main program screen.

A complex filter can be created by specifying a search for file name, date and size attributes. You can also specify to filter those files containing a specific keyword.

The Recover My Files Filter Screen:


Troubleshooting - Step 5 - Preview Search Results

Troubleshooting: The Search Results Screen

Problem: | "Corrupt File. Preview Not Available" error.
Suggestion: | It is possible that a deleted file has been corrupted and although found by Recover My Files it will not display correctly in our preview window. It is possible that the file will open once saved and accessed with the application that created it.
Problem: | "Preview not available for this file type" message.
Suggestion: | It is not possible to preview the file contents using Recover My Files. Save the file and open it with the application that was used to create it.
Problem | "File to large to preview" message.
Suggestion: | Due to its size, the file exceeds the preview capacity of Recover My Files (for most file types Recover My Files will preview files up to 40 megabytes in size). Save the file and then open it with the application that was used to create it.
Problem | I am trying to recover files from a CD or DVD
Suggestion: | Recover My Files is not designed for CD or DVD recovery. I will only work with a limited number of CD and DVD formats. If Recover My Files does not locate the files on your CD or DVD we suggest you search the Internet for a specific CD or DVD data recovery program.


Detailed Steps to File Recovery

Step 6 - Saving Files

Note: It is not possible to save the results of a search. If the results screen is closed, the search results will be lost and the search will need to be re-run.

Where can I save Files?

Files must be saved to another drive. This can be another partition on you hard drive (e.g.: Drive "D:\"), another physical hard drive, a floppy disk, USB, ZIP disk, a network drive or a writeable CD or DVD (the CD/DVD feature is accessed by clicking on the drop down arrow next to the "Save Files" button).

How do I select Files to be Saved?

To select a file to be saved, in the file details window place a tick in the box next to the file, as shown in the screen capture below. You can select multiple files to be saved by doing one of the following:

  1. To select all files by type, place a tick in the "File Type" box in the left hand window. All files contained within that file type will then be ticked. This can also be done in Folder View for all files within a specific recovered folder;

  2. To select every file to be saved, place a tick in the "Search Results" box in the left hand window;

  3. To select groups of files, hold down the SHIFT key (for groups) or CTRL key (for individual selections), use your mouse to select the files that you require and then press the SPACE BAR key to turn the selection tick on or off.


Troubleshooting - Step 6 - Saving Files

Troubleshooting: Saving Search Results

Problem:

I cannot save recovered files to the same drive on which they were located.

Solution:

It is not possible to save files to the same drive on which the files are being recovered as this process could overwrite and permanently delete yet to be saved files. You must save files to another drive, floppy disk, external storage media, or network drive.

Problem:

I cannot save files to a writeable CD or DVD.

Solution:

The ability to write file directly to a CD or DVD was implemented in Recover My Files version 2.93. The option is available by clicking the drop down arrow next the "Save Files" button.

If you receive an error message when attempting to write file to a CD or DVD first try and use a different brand of CD media. If the problem persists, please contact support@recovermyfiles.com and provide a). the exact error message, b). the type/brand of CD/DVD media you are using, and c). the type/brad of CD/DVD drive you are using.

Problem:

The files that I have saved are corrupt. I cannot open them.

Solution:

Check the Recover My Files preview window. If you can preview the files here then they can be successfully saved.

Are you saving a "Deleted File". Deleted files have a Recovery Rating. If the Recovery Rating indicates that the files has been overwritten, then it is likely that the file is corrupt and cannot be displayed.

There are a variety of repair utilities for different types of file types (for example, for Microsoft Outlook PST files, run Scanpst.exe to repair the file). Check for information about your file type here, or search the Internet for a specific file type recovery tool.


Format Recover Settings

Recovering From A Formatted Hard Drive

If you have formatted your hard drive.

  1. Run Recover My Files and select the “Format Recover” option;

  2. For a straight format it is best to select the “Physical drive” to search. The size of the drive displayed by Recover My Files should correspond to the physical size of your hard drive;

    If an operating system has been re-installed then search the "Logical drive" (e.g. drive "C:\").

  3. In the File Type selection screen select no more than 5 file types. Make the file types ones that you know were located on the formatted disk. We recommend ‘.doc’, ‘.xls’, ‘.ppt’, ‘.wav’ & ‘.jpg’ (DO NOT select multimedia file, specifically the MP3 file type, unless these were the only files located on your formatted disk, as this will slow the search down considerably).

The file types that you select in a Format Recover do not have to be the actual files that you wish to recover. The 5 files will be used to identify the full file structure of the formatted drive.

All file types will be found and displayed in the results screen under the folder “Recovered Partition X”. This folder will be created a the end of the search.


File Type Info

File Type Information

Note that many of the file types mentioned here can be recovered but not previewed.

3D Studio Max (.MAX)

Graphic format. 3D Studio Pro cannot be previewed.

Adobe PageMaker (.PMD)

Desktop Publishing file. Adobe PageMaker files cannot be previewed.

Adobe Portable Document Format (.PDF)

This is a common document format generated by Adobe Acrobat and its licensees. PDF files can be previewed. You can also find Adobe Illustrator files (.ai) using this option.

Adobe Photoshop (.PSD)

Adobe Photoshop files can be previewed in Recover My Files. Sometimes a recovered file may be reported as corrupted in the preview pane of Recover My Files; however some of the image may still be successfully recovered. The best course of action is to try and open the recovered PSD file using Adobe Photoshop, and then use Save As. Alternately, other utilities such as the freeware graphic viewing utility “IrfanView” (www.irfanview.com) may prove successful.

Adobe Illustrator (.AI)

Adobe Illustrator files are a form of Postscript file. They can be recovered by searching for the file types EPS or PDF. Some of these files can be previewed in Recover My Files. When recovered these files will not have the extension .AI and will require renaming.

Audio Interchange File Format (.AIF, .AIFF)

AIF files cannot be previewed.

Audio Streaming Format (.ASF)

ASF file share the same file format as WMV, WMA and ASF files cannot be previewed. Also see Windows Media Audio and Video files.

Audio Video Interleave (.AVI)

AVI is a common multimedia format for audio/video data. AVI files cannot be previewed.

AutoCAD (.DWG and .DXF)

Recover My Files can recover DWG and DXF files. Both file types can be selected under the "Graphics" section of file types to recover. All versions of AutoCAD files can be previewed, except for versions prior to AutoCAD 10 and AutoCAD 2004. Services are available on the Internet to repair corrupted AutoCAD files.

Avery Design Pro (.ZDP)

Avery Design Pro files cannot be previewed.

Bitmap (.BMP)

Bitmap files are an older Windows graphics file format, commonly used for desktop Wallpapers and images created by Microsoft Paint. BMP files can be previewed.

Cabinet (.CAB)

Cabinet files are generated by a Windows install utility used during software installation processes. A listing of the files and folders contained within a CAB file can be previewed.

Canon Raw Images (.CRW)

Canon Raw images are created by Canon Digital cameras. Digital cameras store images in several formats; Canon digital cameras include the CRW file format. The CRW format consists of the raw CCD data stored directly onto the digital camera’s media (e.g. Compact Flash). CRW files can also contain embedded JPEG files; Recover My Files can locate and preview these files. If you have CRW file that require repairing please download and use our CRW Repair utility from www.recovermyfiles.com/downloads/CRWrepair.zip.

CanTax (.P00, .C00)

CanTax Personal and Corporate files cannot be previewed. 256kB default for Personal files and 512kB for Corporate files. Recover My Files defaults the extension to .P00 and .C00. The name or corporation of tax file is displayed in the properties box.

Corel Draw (.CDR)

CDR files can be recovered and the embedded thumbnail previewed.

dBase and FoxPro (.DBF, .DBC, .SCX and .FXP)

This option will retrieve XBase, dBase III, IV, V, and Visual FoxPro database files. DBF files can be previewed. Deleted records can also be previewed. FXP files are FoxPro executable files and cannot be previewed.

Encapsulated Postscript (.EPS)

EPS is the main format written by Adobe for interchanging data between programs. It can contain both vector info and raster info. Vector graphics is a technique for representing a picture as points, lines and other geometric entities. Rasterization is performed by a raster image processor (RIP), which turns text and images into the matrix of pixels (Bitmap) that will be displayed on screen or printed on the page. Both these data types are for on screen or printed graphics. EPS files which contain a "thumbnail" can be can be previewed. EPS files that cannot be previewed may still be valid files and should be saved as they may be able to be opened by their creating application. You can also find Adobe Illustrator files (.ai) using this option.

Enhanced Metafile (.EMF) and Windows Metafile (.WMF)

EMF and WMF files are often used by Windows to store and transport graphic data between operations. For example, when Windows spools documents to a printer, a graphical image of the document to be printed is created and stored as a temporary file. Hence it is possible to recover deleted and lost EMF or WMF files which display an original document even if the original printed document no longer exists on the computer. EMF and WMF files can be previewed.

FamilySearch (.PAF)

FamilySearch files cannot be previewed. The recovered filesize defaults to 2MB. The properties box in the lower left corner of the main screen can contain very useful information to help identify recovered files.

Family TreeMaker (.FTW)

Family TreeMaker is a genealogy program. Family TreeMaker files cannot be previewed.

Font File (.FON)

Font files contain fonts used by the older Windows Operating systems. FON files default to a filesize of 256KB. FON files cannot be previewed.

FruityLoops (.FLP)

FruityLoops files cannot be previewed. The embedded RTF information will be previewed.

Generic Email (.TXT)

Many email programs save email messages as ordinary text files. Examples of these include Incredimail, Eudora and Linux Mbox. These can be previewed.

Graphics Interchange Format (.GIF)

GIF files are commonly used to store small images on web pages. GIF files can be previewed.

GUE Map (.GUE)

GUE Map is a program for mapping interactive fiction games (Adventure games). By default GUE files are saved with a filesize of 256KB. To restore a recovered GUE file to its original file size it should be opened and re-saved using the GUE Map application. GUE files cannot be previewed.

GIS Shape (.SHP and .SHX)

GIS Shape files are maps containing geological and topographical data. To successfully recover a complete data set containing GIS information, 3 files must be recovered. They are:

1. Shape file (.SHP)

2. Geometry index file (.SHX)

3. Dbase file (.DBF)

To recover these 3 different files it is necessary to select GIS Shape files (.SHP and .SHX) as well as Dbase files (.DBF) in the types of files to recover. SHP and SHX file can not yet be previewed, however .DBF files can be previewed.

GZIP (.GZIP)

GZIP files contain only 1 file. Where possible the files name will be displayed in the preview window.

Help Files (.HLP)

Help files are commonly supplied with applications. Help files cannot be previewed.

HTML – Web Pages (.HTM and .HTML)

HTML is the format of World Wide Web pages. HTML files can be previewed.

Ichitaro Document (.JTD)

Ichitaro files are a popular Japanese word processing document. Ichitaro files can be previewed.

JPEG - Joint Photographic Experts Group (.JPG)

JPEG files come in two formats:

1. JFIF – JPEG File Interchange File Format

2. EXIF – Exchangeable Image File Format

JFIF and EXIF file formats both have the .JPG file extension. EXIF files are commonly used in Digital Cameras. Both of these file type can be previewed.

Lightwave (.LWS,.LWO)

Lightwave files cannot be previewed. Lightwave Scenes and Object files.

Logic Audio (.LSO)

Logic Audio files cannot be previewed.

Lotus Word Pro (.LWP)

Lotus Word Pro files are a word processing file format. LWP files cannot be previewed.

LZH Archive (.LZH)

A listing of the files and folders contained within a LZH file can be previewed.

Microsoft Access (.MDB, .ADP)

MDB files are data files, while ADP are Access Project files. MDB and ADP files cannot be previewed. Various programs use this format, and files created by these programs will be found using this option. Examples of these programs are: Legacy Family Tree Deluxe (.FTW) , and old versions of Microsoft Money (pre version 99).

Microsoft Excel (.XLS)

Microsoft Excel spreadsheets can be previewed, including each worksheet, with formatting. Currently imbedded chart do not preview. Sometimes a corrupt Excel document can be opened and then saved successfully using the OpenOffice application (www.openoffice.org).

Microsoft Money (.MNY)

This filetype is for Microsoft Money version 2000 and above. Older version of Microsoft Money files (.MN7 and .MNY) are stored in Microsoft Access format and can be recovered by searching for Microsoft Access files. MNY files cannot be previewed.

Microsoft OneNote (.ONE)

ONE files cannot be previewed. The filesize will default to 10MB.

Microsoft Outlook Email (.PST)

PST files cannot be previewed.

Microsoft Outlook Express (.DBX)

A listing of the email contained within a DBX file can be previewed.

Microsoft Outlook Address Book (.WAB)

WAB files cannot be previewed.

Microsoft PhotoDraw (.MIX)

Discontinued product. Microsoft PhotoDraw files cannot be previewed.

Microsoft PowerPoint (.PPT)

Microsoft PowerPoint presentations cannot be previewed.

Microsoft Project (.MPP)

Microsoft Project files cannot be previewed.

Microsoft Publisher (.PUB)

Microsoft Publisher files cannot be previewed.

Microsoft SQL Server (.MDF)

SQL files cannot be previewed.

Microsoft Visio (.VSD)

Some Visio drawings contain a thumbnail and can be previewed. Visio documents without a thumbnail cannot be previewed. In some instances the thumbnail can be previewed but the Visio file is still corrupted. The only true test is to open the file in the Visio application. At the moment there is no program to repair Visio files.

Microsoft Word (.DOC)

Microsoft Word documents can be previewed with some formatting. Sometimes a corrupt Word document can be opened and then saved successfully using the OpenOffice application (www.openoffice.org).

Microsoft Works Database (.WDB)

Microsoft Works Databases cannot be previewed.

Microsoft Works Document (.WPS)

Microsoft Works Documents can be previewed with some formatting.

Microsoft Works Spreadsheet (.WKS)

Microsoft Works Spreadsheets cannot be previewed.

Moving Pictures Expert Group File (.MPG and .MPEG)

This is a digitally compressed video file, and is now commonly used due to its compression and high image quality. MPEG files cannot be previewed.

MP3 (.MP3)

MP3 files are related to the MPEG standard, but contain only compressed audio data. They are now one of the most common audio formats in the world. MP3 files cannot

be previewed.

Musical Instrument Digital Interface (.MID and .MIDI)

MIDI files can be played.

MYOB Accounts (.DAT, .PRM, .PLS)

MYOB accounting files can have any of 3 extensions according to the version of MYOB. DAT files are created by MYOB Basic, PRM files are created by MYOB Premier and PLS files are created by MYOB Plus. All recovered MYOB files will be given the extension of DAT. It is not necessary to rename the extension for MYOB to open a recovered file. MYOB files cannot be previewed.

Omnis (.DF1, .LBR, .OHR)

Omnis database files cannot be previewed.

Paint Shop Pro version 5, 6, 7, 8 (.PSP)

Paint Shop Pro images can be previewed.

Paperport (.MAX)

Paperport files cannot be previewed. The default recovered filesize is 1MB.

Portable Network Graphic (.PNG)

PNG files are commonly used to display web based graphics files. PNG files can be previewed.

Quark Express (.QXD)

Quark Express files default to 10MB in filesize. The default filesize can be changed using the Options. QXD files cannot be previewed.

Quattro Pro (.QPW)

Quattro Pro cannot be previewed.

QuickBooks (.QBW)

QuickBooks files cannot be previewed.

Quicken (.QDF)

This option only finds older style Quicken files (pre 2000). Quicken files cannot be previewed.

QuickTime Movie (.MOV)

MOV files are a common multimedia file format created by the Apple Co. MOV files cannot be previewed.

RAR Archive (.RAR)

A listing of the files and folders contained within a RAR file can be previewed.

Real Audio (.RA,.RAM,.RM)

Real Audio files cannot be previewed.

Rich Text Format (.RTF)

RTF is a common interchange format for word-processor files. RTF files can be previewed.

SAS Data (.SAS7BDAT)

SAS is a Statistical Analysis program data file. SAS files cannot be previewed.

Sibelius Music (.SIB)

Sibelius is a music notation program. The default filesize for these files is 256kB. Older versions of Sibelius (version 1) may not open the recovered files correctly. Sibelius version 2 and above will correctly repair the files. You can visit there web site at www.sibelius.com. Sibelius music files cannot be previewed.

SmartDraw (.SDR)

SmartDraw is used to draw flowcharts, floor plans, organisational charts etc. SDR files cannot be previewed.

TAR – Tape Archive (.TAR)

A listing of the files and folders contained within a TAR file can be previewed.

Text Documents (.TXT)

Text documents can be previewed.

TIFF - Tagged Image File Format (.TIF, .NEF)

TIFF files are commonly used to store faxes, scanned images and high resolution graphics. TIFF files can contain multiple images, such in the case of a multi-paged fax. Some Digital camera files are also TIFF files, in particular the Nikon Enhanced File format (NEF). Recover My Files can preview the first image in TIFF files.

True Type Font (.TTF)

True Type font files contain fonts used on Windows, Macintosh and Linux operating systems. TTF files cannot be previewed.

Turbo Tax (.TAX)

TAX files are used by the Turbo Tax program by Intuit. The name of the tax file is displayed in the Properties box. TAX files cannot be previewed.

Unknown OLE (.$$$)

OLE stands for Object Linking and Embedding. Often these file are called a “Compound” or “Structured” file. Many different applications use the OLE format to store data native to that application. For instance Microsoft uses the OLE format to store Word, Excel, PowerPoint and Visio files. Recover My Files can recover any type of OLE-formatted file. If the content within the recovered OLE file is not known, then it becomes an “Unknown OLE” file. Some examples of OLE files which are not explicitly recognised by Recover My Files are:

SigmaPlot (.JNB),

Microsoft .NET Installation databases (.TMP),

Email Message files (.MSG),

Microsoft Windows Thumbnail databases (.DB).

Unknown OLE files are previewed in Hexadecimal.

WAVE (.WAV)

WAVE files are audio waveform files. WAVE files can be played.

Windows Media Audio and Video (.WMA .WMV and .ASF)

Windows media audio and video files. WMA, AMV and ASF files are considered to be all the same file format. Recover My Files gives all these files the default extension WMV. WMA, WMV and ASF files cannot be previewed.

WordPerfect Presentations (.SHW)

WordPerfect Presentations files cannot be previewed.

WordPerfect Documents and Graphics v8+ (.WPD and .WPG)

WordPerfect documents and WordPerfect graphics can be stored in an OLE formatted file (See “Unknown OLE” file format for more details). WordPerfect Documents and Graphics cannot be previewed. To find all WordPerfect documents you must select this option and the "WordPerfect 6 and 7" option.

WordPerfect 6 and 7 (.WPD)

WordPerfect documents cannot be previewed.

XARA (.XAR)

XAR files are a graphics file format used by the XARA program. Recover My Files can preview the embedded thumbnail.

ZIP Archive (.ZIP)

A listing of the files and folders contained within a ZIP file can be previewed.


Recovering Deleted Email

Recovering Deleted Electronic Mail

Recover Deleted Microsoft Outlook PST files

Recover My Files will search for and locate deleted Microsoft Outlook ".PST" files. NOTE: It will not recover individual deleted messages emptied from Outlooks "Deleted Items" folder. To recover a deleted or lost PST file:

  • Run Recover My files and select either to perform a FAST or COMPLETE SEARCH. We recommend that you try the Fast search first then the Complete search;

  • Select the drive to search. In most circumstances this will be the C:\ drive. You may also wish to include a search of the "active" files on your system to make sure that the PST file hasn't been accidentally moved or hidden. To do this use the add folder function;

  • Select "Outlook Email file" as the type of file to search for;

  • Run the search and save the recovered files to another storage location. NOTE: To save files you must first be registered. To purchase a registration key please go to www.recovermyfiles.com/buyrmf.php;

  • Try and open the file with Microsoft Outlook. To do this start Outlook, select FILE / OPEN / OUTLOOK DATA FILE.

TECH NOTE: Microsoft Outlook PST files are complex and in some instances recovered PST files will not function until they have also been repaired. This is done by running a program called "scanpst.exe" which is installed by default on all Windows computer systems, or download scanpst.exe here. Scanpst will make another repaired copy of your file. Try and open this file with Outlook as described above. If this does not work there are other commercially available PST repair programs which can be located by searching the Internet.

Recover Deleted Outlook Express DBX files

Recover My Files will search for and locate deleted Microsoft Outlook Express ".DBX" files. NOTE: It will not recover individual messages deleted from within a folder in Outlook Express. The preview window allows you to see the contents of a recovered DBX file, including the number of messages, the "to" and "from" address fields, the subject and the date each message was sent and received.

  • Run Recover My files and select either to perform a FAST or COMPLETE SEARCH. We recommend that you try the Fast search first then the Complete search;

  • Select the drive to search. In most circumstances this will be the C:\ drive. You may also wish to include a search of the "active" files on your system to make sure that the DBX file hasn't been accidentally moved or hidden. To do this use the add folder function;

  • Select "Outlook Express Email File" as the type of file to search for;

  • Run the search and save the recovered files to another storage location. NOTE: To save files you must first be registered. To purchase a registration key please go to www.recovermyfiles.com/buyrmf.php;

  • To open the recovered files run Microsoft Outlook Express and point it to the recovered files. To point the program to the recovered files select TOOLS / OPTIONS / MAINTENANCE / STORE FOLDER.

TECH NOTE: An alternative method to opening a DBX file is to use "MailBag Assistant" from www.fookes.com. Using this utility you can export all messages from a recovered DBX file to individual EML files. The exported EML files can then be dragged and dropped back into Outlook Express and into the desired folder.

Recovering Web Based Email (Hotmail , Yahoo etc)

When you use a web based email program such as Hotmail or Yahoo you are actually using your Internet Browser to log into a remote computer which stores your email. When you delete an email you are deleting it from the remote computer. See http://help.yahoo.com/help/us/mail/manage/manage-23.html.

If you have previously viewed web based email on a computer then it may be possible to recover copies of the pages that you have viewed. When you view web based email with your Internet Browser a copy of the page you saw on your screen is written to your computer into the "Temporary Internet Cache". Caching is a way that computers speed up access to Internet pages. You may have copies of the web based email messages still stored in your Temporary Internet Files folder or, if the cache is frequently emptied, as deleted HTML pages on your computer. To recover web based email try the following:

  • Run Recover My files and select either to perform a FAST or COMPLETE SEARCH. We recommend that you try the Fast search first then the Complete search;

  • In the first screen double click and on "Double click here to ADD a FOLDER to the Search...". Add the folder containing your "Temporary Internet Files". On most Windows 2000/XP computers try adding the "C:\Documents and Settings" folder. On Windows 95/98/ME try adding the "C:\Windows" folder;

  • Select your "C:\" drive to be searched;

  • In the next screen select "HTML Documents". This is the file type for web pages. Now run the search;

  • Preview the recovered HTML files by clicking on each of the recovered files in the HTML folder. The contents of each HTML file will be displayed in the preview windows at the bottom of the screen. HTML pages will not be recovered with graphics but you will see all the text. Look through the recovered HTML files to find those that contain your web based email.


Searching for Temporary Files

Some programs, such as Microsoft Word, make use of "Temporary Files" to store working copies of documents. It may be the case that the file you have lost is still located on your computer as an active Temporary File. As Recover My Files is primarily focused on searching the areas where deleted files are likely to reside, the program must be prompted to search for "active" files, such as Temporary Files, by specifying the folders in which these may be located.

For a detailed description of how Microsoft Word uses temporary files, refer to the Microsoft Knowledge base article 211632 at http://support.microsoft.com/default.aspx?scid=kb;en-us;211632.

By default Recover My Files includes two folders. These are the "Recycle Bin", which can be regarded as a temporary folder, and the "Documents and Settings" folder. As versions of Microsoft Windows have changed so to have the location of the Temporary storage folders. In more recent versions of Windows (such as Windows XP and 2000) Temporary folders are nested under user profiles, for example:

C:\Documents and Settings\Graham\Local Settings\Temp

Add Temporary folders to the Search list by double-clicking the "Add Folder" line in the search window and then navigating to the Temp folder by using the Browse dialogue box, e.g.:

C:\Temp

C:\Windows\Temp

C:\Documents and Settings (and then specify a user or user/s profile path as required).


The Options Button

File Types Tab

Search speed will decrease in proportion to the number of File Types which are selected; if you are certain of which File Type you are searching for, then only select that File Type. If you are unsure which type of file has been lost, then select more options.

Selecting File Types when performing a "Format Recover" on a previously formatted NTFS partition can be critical. For best results select a small number of file types that previously existed on the partition. Recover My Files uses the files types selected to "sync" any lost partitions found.

Note that selections can be made even while the search is being executed.

General Tab

The "General" tab (see screen shot below) contains options such as whether the Recover My Files "Wizard" or "Tips on Startup" dialogue boxes appear when the program is opened. The "Wizard" screens are detailed in the "Steps to File Recovery" section and provide the simplest way of launching the program.

Allow searching of Physical Drives. If this is selected then you will also have the option to select a "Physical Drive" in addition to the "Logical Drives" at the start of a Fast or Complete Search. Use this setting when your drive is no longer able to be

"Event Logging" can be set to 3 levels; None, Normal and Debug. The Event Log is displayed under a tab in the Preview Window. It contains detailed information about the activity of the program and can assist in troubleshooting the File Recovery process.

If the box "Show Properties box in Preview Panel" is checked the Lower Left-side Preview Pane will be visible.

If the box "Show unknown types in Hex view" is checked then file types that have not been selected or not recognized by Recover My Files will be displayed in raw hexadecimal format. Use this option if you are or Lower Left-side Preview Pane will be visible.

If the box "Save with folder information if known" is checked the Save Files function will restore the files to the folders from which they were originally deleted.

If the box "Retain original file date/times if known" is checked the Save Files function will restore the original File Creation and File Modified dates and times.

If the box "Rename filename to found extension" is checked the Save Files function will rename files using the extension of the file type that the file was identified as. For example, if a file named "~WRD0001.TMP" is recovered and identified as a Word document then it will be renamed to "~WRD0001_TMP.doc".

Search Tab

The "Search" tab (see the screen shot below) controls how Recover My Files will search for your Deleted and Lost Files

Deleted Files

In this section you can select whether you want to search for Deleted Files by clicking the "Search for Deleted Files" box.

Also you can select whether you want Recover My Files to try and determine the type of Deleted File by clicking the "Try and determine file type of Deleted Files"

Our Recommendation: Keep both these options on.

Lost Files

In this section you can select whether you want to search for "Lost Files" by clicking the "Search for Lost Files" box. Also you can select whether you want Recover My Files to try and determine the file size of the Lost Files by clicking the "Try and determine file size of Lost Files"

When Recover My Files finds a "Lost File" the program: determines the type of file that it has found (e.g. is it a MS Word document or a JPEG etc); and then determines the size or length of the file (e.g. is it 1 megabyte or 5 megabytes).

When the "Go to end of file when file found" option is selected:

Recover My Files stops processing the file that it has located, moves to the end of the file, and continues the search from this point. It will continue this process until it reaches the end of the disk space and the search is complete.

Advantages: The speed of the search is increased because the contents of identified file types are not searched.

Disadvantages: If corruption of a deleted file has occurred the reported files size may be inaccurate and may cause the program to skip an otherwise recoverable file.

When the "Go to end of file when file found" option is NOT selected:

Recover My Files locates a lost file, calculates its type and size, but continues to search through the files contents looking for other embedded files. Using this method you ensure that other files are not missed due to the skipping process.

Advantages: This method may recover additional files from your computer.

Disadvantages: It will increase the time that it takes for the search to complete.

Our Recommendation: In some cases files could be missed due to the reporting of an incorrect file size. We recommend the "Go to end of file when file found" is left not selected so that no recoverable information is overlooked.

Format Recovery

Allows you to set the maximum number of partitions to recover. We recommend you leave this setting at 4 unless you know that more than 4 partitions existed on a formatted drive.

The "Intensive Partition Search Setting" will determine the aggressiveness of matching partitions to lost files found. We do not recommend that you change this setting unless instructed by one of GetData's support staff. During a Format Recovery if no lost data can be matched to a partition then Recover My Files will create 2 default partitions; one starting the beginning of the drive, sector 0 and one starting at sector 63.

Advanced Tab

Search Active and Non-Active Areas: If this is selected Recover My Files will search the entire drive, sector by sector or cluster by cluster. This should only be used if you have accidentally deleted your entire drive, re-partitioned your drive, or re-formatted your drive.

Allow searching of Physical Drives: If this is selected then you will also have the option to select a "Physical Drive" in addition to the "Logical Drives" at the start of a Fast or Complete Search. Use this setting when your drive is no longer able to be recognised by Windows as a drive letter. This setting will not affect the ability to select physical drives when performing a Format Recover.

Prompt for Start Cluster/Sector: You can use this option to start the search of your disk drive at a specific sector or cluster on the drive. You will be prompted at the beginning of the search for the sector or cluster.

The Search Level: Cluster or Sector, specifies whether you want Recover My Files to search using sectors or clusters. Cluster searching is faster, as is the Default setting. Use sector searching when you have accidentally formatted, or re-partitioned your drive.

CD/DVD Tab

Allows the setting of options when saving files directly to CD or DVD.


"Lost Files" are files for which the Microsoft Windows file reference informationthat was once used to find the location of the file on the hard disk has been destroyed.However, the data that made up the contents of the file can still located on thehard disk.Recover My Files performs a disk scan to identify "Lost Files" by their internalfile structure, (i.e. their header, content and footer). Whilst the data can be recovered,the Microsoft Windows file name cannot. Recover My Files gives a lost file the name"Recovered_[filetype]_1" and will increment the number according to how many lostfiles are found for that file type.

Frequently Asked Questions (FAQ)

Q. If I purchase a registration key how long will it take to be sent to me?

A. When you purchase on-line your registration key is provided in web page at the end of the purchase process. It is also then sent to you by email. However, if there is a delay in your credit card provider authorizing the transaction, your registration details will only be sent to you by email and only after credit card validation has taken place. For further purchase information, visit our Customer Care Center.

Q. Can Recover My Files recover files from a CD?

A. Recover My Files will recognize a limited number of CD file formats. If you get a message stating "Recover My Files does not recognize the file system on Drive D:\" then it will not work. You need to search the Internet for CD recovery software.

Q. Does Recover My Files Work on a RAID System?

If your RAID system is functional then Recover My Files will work. We recommend you search the logical RAID drive (e.g.: drive C:).

If your RAID system is not functional and you are running a Mirror then Recover My Files will recover files from either of the hard drives.

If your RAID system is not functional and you are using a Striping RAID then you will not be able to recover files (as a single file is written to two or more physical hard drives). We suggest you search the Internet for a specialised RAID repair tool.

Q. What is the difference between a "Deleted File " and a "Lost File"?

A. "Deleted Files" are those files that can be recovered by searching for Microsoft Windows file reference information which remain on your computer's hard drive. This is the standard method used by data recovery programs.

"Lost Files" are files that no longer have Microsoft Windows file reference information remaining. Recover My Files searches the entire hard drive and identifies these files by their structure (i.e. unique header, content, and footer information). Because the Microsoft Windows file reference information is no longer present the original name of the file is no longer available. Recover My Files renames Lost Files in the format "Recovered_[filetype]_1".

Q. How do I rename a "Lost File", e.g. "Recovered_[filetype]_1" back to its original name?

A. For "Lost Files" the original file name has been destroyed but the content remains intact.

If the lost files are Microsoft Office documents with file properties, such as "Author" and "Title" it may help you to rename the files using the properties as the file name. If you have recovered a large number of Microsoft Word documents as Lost Files you may wish to try our automated Mass Renaming utility which is available for free download from our online knowledge base at: http://support.getdata.com/?group=RMF&_a=downloads

To use the Mass Renaming utility, run the program and then drag and drop the files you want to rename into the grid at the top of the program window. Select the properties you would like in the file name. Click "Test" to see the results of the renaming without finalizing the renaming process. Select "Rename" when you are happy with the new filenames.

Q. When performing a Complete Search Recover My Files takes a long time. How do I speed up the search?

A. You can speed up the search by reducing the number of file types that Recover My Files is searching for. This can be done either at the start of the search when selecting the file types or during the search by selecting the "Options" button. You can also preview the recovered files as the search takes place. If you have located the file you wish to retrieve, simply stop the search, select the file (by placing a tick in the box) and save the file.

Q. The preview window says "Preview not available for this file type". Can I still recover this file?

A. Yes, it is still possible that the file may be recovered. The reason why a recovered file may not preview is because Recover My Files does not yet have the ability to preview the contents for that file type. One option you have is to go to the "Options" button, select the "General" tab and turn on the "Show unknown file types in Hex view". This will allow you to see the "raw" binary contents of any unknown file type.

Q. The preview window says "Corrupt File, Preview not available". What does this mean?

A. This occurs when the beginning of a located file is correct, however the internal contents are damaged are therefore the file cannot be previewed by Recover My Files. It is still possible to recover the file, but it will need to be repaired after saving.

Q. Is it always possible to recover files emptied from the Windows Recycle Bin?

A. Not always. When you empty a file from the Windows Recycle Bin the contents of the file remain on your hard drive. Windows makes the space occupied by the deleted file available for use. If a new file is saved to the same area of the hard drive it will overwrite the deleted files contents, permanently erasing it. This is why we recommend that you limit the use of your hard drive from which the file needs to be recovered.

Q. I have accidentally formatted my drive. How do I recover my files?

A. If you have lost important files due to the format of your hard drive the best option is to use the "Format Recover" search. Recover My Files uses a different approach to other data recovery programs when recovering from a format. Recover My Files searches for lost Windows file records (MFT records and FAT entries) and Lost Files simultaneously. It then uses an advanced algorithm to reconstruct any partitions.

We recommend that you only select 4 or 5 file types to search for that you know were on the partition prior to the format taking place. If you have accidentally formatted your Windows installation drive then we highly recommend searching for .WAV, .DOC, .XLS and .AVI files as these commonly occur on most Windows installations.

Q. My drive has disappeared. How do I recover my files?

A. Sometimes a drive can become corrupted because of incorrect use of FDISK, an application like Partition Magic crashed midway through a partition conversion or just for no apparent reason at all. Recover My Files can still recover files even after such incidents using the Format Recover search. When using the Format Recover search you will have the option to choose "Physical" drives in addition to any "Logical" drives. Sometimes searching the physical drive is the only way left to perform a recovery. See the above section for further information on how to best perform a Format Recover.

Q. I recover lots of graphics and HTML files that I have never even seen before. Where do they all come from?

A. You are probably looking at files written to you computer during the normal process of surfing the web. A Windows computer uses an "Internet Cache", which saves web page files to your hard drive while you are visiting web pages. The purpose of the cache is to speed up Internet access by only downloading web page content that has changed since you last visited a web page and reusing the files that are stored in the cache. On Windows 2000/XP the cache is stored separately for each user of a PC.

Many users regularly delete their cache, causing many deleted graphics files and HTML files to be deleted. Recover My Files can recover and view these files. By performing a search for Graphics and HTML web pages you can potentially view the web pages that have been previously visited by users on a PC. Using this method it is possible to recover web based email content such as Hotmail and Yahoo mail.

We also recommend that you add the following folders to your search so as to view and locate pages contained within the cache that has not yet been deleted. For Windows 2000/NT/XP add the folder "C:\Documents and Settings\". For Windows 95/98/ME add the folder "C:\Windows\".

Q. Where do I save my recovered files?

A. You must save the recovered files to another drive or storage media. This is so that the recovered files do not overwrite the other important data on the hard drive being searched. Some suggestions are:

  • Network shared drives. Map a network drive to a drive letter using Windows Explorer.

  • USB flash drive. These devices are relatively inexpensive and can hold many megabytes of valuable data.

  • Removable drives such as Jazz®, Zip®, LS-120.

  • Floppy disk.

  • Writeable CD/DVD.


Technical Support

Visit our On-Line Knowledge Base

For further technical support please visit our on-line technical support Knowledge Base.

Contact Technical Support

Email support is available by contacting support@recovermyfiles.com. If you are seeking technical advice it will assist if you can provide the following information:

  1. The version of Windows that you are using;

  2. The version of Recover My Files that you are using (please use the latest version available for download from www.recovermyfiles.com);

  3. A description of the circumstances under which the files were lost or deleted.

  4. A description of the attempts you have already made to recover files and the result of those attempts. Please attach relevant sample files to your email.

We endeavour to answer all email support requests within 24 hours.


Deleted File Definition

Definition of a "Deleted File"

"Deleted Files" are those file for which the Microsoft Windows Operating System file reference information remains intact. This file reference information can be used to find the location of the deleted file and access it. "Deleted Files" retain there original file name and folder structure.

When searching for a "Deleted File", Recover My Files reads the Microsoft Windows File Allocation Table (FAT) or Master File Table (MFT) to determine if the space used by the deleted file prior to its deletion is now being occupied by other active files. As only one file can occupy a storage space at any one time, if this happens the deleted file has been overwritten, or partially overwritten, and that part of the deleted file has been destroyed. Recover My Files displays this in the following rating system:

Overwritten: The original file has been completely overwritten and cannot be recovered.

Poor: the search indicates that between 1% and 50% of the file can be recovered.

Medium: the search indicates that between 51% and 90% of the file can be recovered.

Good: the search indicates that between 91% and 99% of the file can be recovered.

Very Good: the complete file can be recovered.

Whilst this rating system is a good indication of the chance of recovery, a preview of your file, if available, is the definitive way to determine if your file can be recovered.

Definition of a "Lost File"

"Lost Files" are files for which the Microsoft Windows file reference information that was once used to find the location of the file on the hard disk has been destroyed. However, the data that made up the contents of the file can still located on the hard disk.

Recover My Files performs a disk scan to identify "Lost Files" by their internal file structure, (i.e. their header, content and footer). Whilst the data can be recovered, the Microsoft Windows file name cannot. Recover My Files gives a Lost File the name "Recovered_[filetype]_1" and will increment the number according to how many lost files are found for that file type.

A listing of File Types currently supported in the Lost File search is provided here.


Deleted File Recovery Rating

"Deleted File" Recovery Rating

When searching for a "Deleted File", Recover My Files reads the File Allocation Table (FAT) or Master File Table (MFT) to determine if the space used by the deleted file is being occupied by other active files. As only one file can occupy a storage space at any one time, if this happens the deleted file has been overwritten, or partially overwritten, and that part of the deleted file has been destroyed.

The rating system is as follows:

Overwritten: The original file has been completely overwritten and cannot be recovered.

Poor: the search indicates that between 1% and 50% of the file can be recovered.

Medium: the search indicates that between 51% and 90% of the file can be recovered.

Good: the search indicates that between 91% and 99% of the file can be recovered.

Very Good: the complete file can be recovered.

Whilst this rating system is a good indication of the chance of recovery, a preview of your file, if available, is the definitive way to determine if your file can be recovered.